Loading...
Searching...
No Matches
Dune::SolverAbort Class Reference
Iterative Solvers Template Library (ISTL)

Thrown when a solver aborts due to some problem. More...

`#include <dune/istl/istlexception.hh>`

Inheritance diagram for Dune::SolverAbort:

## Detailed Description

Thrown when a solver aborts due to some problem.

Problems that may cause the solver to abort include a NaN detected during the convergence check (which may be caused by invalid input data), or breakdown conditions (which can happen e.g. in BiCGSTABSolver or RestartedGMResSolver).

The documentation for this class was generated from the following file:

- istlexception.hh